Subject: bug#18343: 24.4.50; REGRESSION: `help-echo' property is not added, so no tooltip or echo

From: Drew Adams <[email-masked]>
Date: Sat, 30 Apr 2016 08:21:19 -0800 (GMT-08:00)

> > ez> Disable font-lock-mode, and help-echo works again as expected.
> > ez> It sounds like font-lock overwrites the help-echo property.
> >
> > Yes.  It apparently just removes the property.
> 
> If you insert text with text properties into buffers controlled by
> font-lock, they are removed.  (Most of them.)  So this isn't a bug.
> 
> Closing.

You are just saying that this is not a bug because it exists.

And it is certainly NOT the case that font-lock removes text
properties in general.  NOT "most" of them - there are an
unlimited number of text properties you can use, and
`font-lock-extra-managed-props' targets very few of them
(thank goodness).

The question is not whether `font-lock-extra-managed-props',
in effect, removes text properties, but why it now removes
THIS property, which has nothing to do with text highlighting.

Why should `help-echo' be on `font-lock-extra-managed-props'?
Why should toggling `font-lock-mode' toggle help-echo display?

Without hearing a solid argument in its favor, I do not see
this as a feature, but a bug (regression).

And if it is argued that it is a feature (I'd love to hear
the rationale), I see nothing about this incompatible change
in NEWS (e.g. for 24.4).